Subject: Re: [Outreachy] Blog: Introducing myself as an intern working to convert unit test to use clar

From: Patrick Steinhardt <[email-masked]>
Date: Sun, 22 Dec 2024 15:41:47 +0100

On Sun, Dec 22, 2024 at 02:22:38PM +0100, Seyi Chamber wrote:
> On Sun, 22 Dec 2024 at 08:23, Patrick Steinhardt <[email-masked]> wrote:
> >
> > On Fri, Dec 20, 2024 at 11:37:23AM +0100, Seyi Chamber wrote:
> > > Hello everyone,
> > >
> > > I just published a new blog post on unit test scripts I've selected
> > > and prioritized for initial conversion to clar. I would love for you
> > > to check it out and share your opinion!
> > >
> > > Find the link here:
> > > https://seyi-kuforiji-902b48.gitlab.io/posts/week-2-prioritizing-test-scripts
> >
> > Thanks for the blog post! The initial selection looks reasonable to me.
> > I was wondering whether it would make sense to evict "t-reftable-tree.c"
> > out of the first batch and then handle all reftable-related tests in a
> > single patch series. But we've got 9 of those, some of which are quite
> > complex, so that patch series would become quite large overall. So I
> > guess it's sensible to distribute the conversion of the reftable tests
> > across different patch series.
> >
> > Patrick
> 
> I suppose I could still make that work if that's your recommendation.
> I could divide the reftable-related tests into two sets and then treat
> them together. What do you think?

I'll leave it up to you, as there is no "right" or "wrong" in this
context.

Patrick